distracting horizontal and vertical scrollbars in "Software Update" to Firefox 3

RESOLVED WORKSFORME

Status

()

Toolkit
Application Update
--
minor
RESOLVED WORKSFORME
9 years ago
9 years ago

People

(Reporter: skierpage, Unassigned)

Tracking

1.9.0 Branch
x86
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.20) Gecko/20081217 Firefox/2.0.0.20
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.20) Gecko/20081217 Firefox/2.0.0.20

In my Firefox 2, Help > Check for Updates... showed the "New Version Available" dialog offering Firefox 3.  This also cautioned "This update will cause some of your extensions and/or themes to stop working...".  The box above this showed some attractive HTML for "Firefox Security Alert Immediate upgrade recommended", but that content doesn't fit in the alert space available and so has horizontal and vertical scrollbars.

Reproducible: Always

Steps to Reproduce:
1. Install Firefox 2.0.0.20
1a). Possibly you need to install some add-on that won't work with Firefox 3 (I have "Google Settings 1.3", somehow from an install of Google Pack)
2. Choose Help > Check for Updates
3. Inspect the Software Update dialog.
Actual Results:  
The text promoting the upgrade to FF3 doesn't fit, has scrollbars.  The dialog itself isn't resizable from the corner or menu.

I took a screenshot, see http://www.skierpage.com/moz_bugs/ff2_ff3_upgrade_dialog_scrollbars.png

Expected Results:  
The dialog is only 403x362 so I think it's worth making it big enough to fit its contents without scrolling.

It might be my fonts, I have Normal display font size and Windows XP (Modified) desktop appearance.

Maybe the yellow warning underneath about incompatible add-ons forces the vertical scrollbar which forces the horizontal scrollbar.

This sounds similar but not identical to bug 374820 , so I filed it in the same product & component.
Created attachment 354647 [details]
screenshot
FWIW, an incompatible extension warning is expected for Google partner builds. I would suggest morphing this bug to "incompatible extension warning takes up too much of major update dialog", or "make major update dialog bigger".

Updated

9 years ago
Status: UNCONFIRMED → NEW
Ever confirmed: true
I moved the incompatible add-ons to its own page for Firefox 3.1 so this only affects Firefox 3.0 and below
Version: unspecified → 1.9.0 Branch
This was fixed for 3.5 by the update ui rewrite that happened in bug 324121 - resolving -> wfm.
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.